import WebFlow.Core.*;
import WebFlow.submitJob.*;
import org.w3c.dom.*;
import com.ibm.xml.parser.ExternalID;
import com.ibm.xml.parser.Parser;
import com.ibm.xml.parser.TXDocument;
import com.ibm.xml.parser.DTD;
import java.io.*;
import java.util.Vector;


public class testGD{
public static void main(String args[])
{
        String Fname= args[0];
        DTD dtd;
              
        try{
       Parser parser;
       String dtdfile="/npac/home/webflow/WEBFLOW/BeanContext_2.2.2/descriptorDTD.dtd";
       //  InputStream is=(new URL(dtdfile)).openStream();
       FileInputStream is =new FileInputStream(dtdfile);
       parser= new Parser(dtdfile);
       dtd= parser.readDTDStream(is);      

       //creates a Document object;
       Document doc = (Document)Class.forName("com.ibm.xml.parser.TXDocument").newInstance();
      
       //mkaes the "TaskDescriptor" element as the root, and adds it.
       Element root = doc.createElement("TaskDescriptor"); 
      
    
       //Makes the "TaskName" element, and adds it
       Element item= doc.createElement("TaskName");
       item.setAttribute("name","Parssim");
       item.appendChild(doc.createTextNode("Parssim code"));
       root.appendChild(item);
       
       //Makes the "application" element with an attribute, and adds it.      
       item= doc.createElement("application");
       item.setAttribute("descriptor","parssim.xml");
       root.appendChild(item);

       //Make the "connection" element with "input" & "output" elements, and adds it.
       item= doc.createElement("connection");
           
       //Make the "input" element with two attribute, and adds it to connection
       Element itemChild=doc.createElement("input");
       itemChild.setAttribute("application","npac/home/huapt/CASC2D/casc2d.pl");    
       itemChild.setAttribute("method","input.in");
       item.appendChild(itemChild);
       root.appendChild(item);
 
       //Make the "output" element with two attribute, and adds it to connection
       
       itemChild=doc.createElement("output");
       itemChild.setAttribute("application","npac/home/huapt/CASC2D/lms/");   
       itemChild.setAttribute("event","output.out");
       item.appendChild(itemChild);
  
      //add the root  
       DTD dt=((TXDocument)doc).createDTD("application", new ExternalID("descriptorDTD.dtd"));
      ((TXDocument)doc).appendChild(dt);
       doc.appendChild(root);
      
       // Shows the XML document
       ((TXDocument)doc).setVersion("1.0");
       ((TXDocument)doc).printWithFormat(new FileWriter(Fname));
           
      }
     catch(Exception e)
     {
     e.printStackTrace();
     }
}

 };
